Mercurial > noffle
view debian/init @ 464:d9035d08fe51 noffle
[svn] * src/fetch.c: Log failed posting that we can't mail back to the sender
or where sending fails to <Noffle spool>/failed.posting.
author | bears |
---|---|
date | Wed, 23 Jul 2003 10:32:25 +0100 |
parents | fb4e5f59f4a7 |
children | 0c7220ddf348 |
line wrap: on
line source
#!/bin/sh # $Id: init 595 2003-06-25 16:36:44Z godisch $ set -e PATH="/bin:/usr/bin:/sbin:/usr/sbin" NOFFLE="/usr/bin/noffle" help () { echo "Usage: /etc/init.d/noffle { online | offline }" >&2 } if [ ! -x "$NOFFLE" ]; then echo "Cannot execute noffle: program not found." >&2 exit 5 # LSB: program is not installed fi if [ "$2" ]; then help exit 2 # LSB: invalid or excess argument(s) fi if [ -x /usr/sbin/pppd ]; then NOFFLE_FETCHMODE="ppp" else NOFFLE_FETCHMODE="cron" fi if [ -f /etc/default/noffle ]; then . /etc/default/noffle fi case "$1" in start) echo "Initializing offline news server..." if [ "$NOFFLE_FETCHMODE" = ppp ]; then "$NOFFLE" --offline else "$NOFFLE" --online fi echo "Done." ;; stop) echo "Switching offline news server into offline mode..." "$NOFFLE" --offline echo "Done." ;; restart) echo "No action done, as noffle is restarted upon each query." ;; reload|force-reload) echo "No action done, as noffle reloads its configuration upon each query." ;; status) help exit 4 # LSB: program or service status is unknown ;; online|offline) echo "Switching offline news server into $1 mode..." "$NOFFLE" --$1 echo "Done." ;; *) help exit 2 # LSB: invalid or excess argument(s) ;; esac exit 0